Create a periodic ZFS snapshot job
POST
/zfs/datasets/snapshot/periodic
const url = 'https://sylve.lan:8181/api/zfs/datasets/snapshot/periodic';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"cronExpr":"example","guid":"example","interval":1,"keepDaily":1,"keepHourly":1,"keepLast":1,"keepMonthly":1,"keepWeekly":1,"keepYearly":1,"maxAgeDays":1,"prefix":"example","recursive":true,"retentionType":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/zfs/datasets/snapshot/periodic \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "cronExpr": "example", "guid": "example", "interval": 1, "keepDaily": 1, "keepHourly": 1, "keepLast": 1, "keepMonthly": 1, "keepWeekly": 1, "keepYearly": 1, "maxAgeDays": 1, "prefix": "example", "recursive": true, "retentionType": "example" }'Create a periodic ZFS snapshot job
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Create Periodic Snapshot Job Request
Media typeapplication/json
object
cronExpr
string
guid
required
string
interval
integer
keepDaily
integer
keepHourly
integer
keepLast
integer
keepMonthly
integer
keepWeekly
integer
keepYearly
integer
maxAgeDays
integer
prefix
required
string
recursive
boolean
retentionType
string
Examplegenerated
{ "cronExpr": "example", "guid": "example", "interval": 1, "keepDaily": 1, "keepHourly": 1, "keepLast": 1, "keepMonthly": 1, "keepWeekly": 1, "keepYearly": 1, "maxAgeDays": 1, "prefix": "example", "recursive": true, "retentionType": "example"}Responses
Section titled “Responses”Created
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Conflict
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}